Crear grupo WhatsApp
curl --request POST \
--url https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Suporte VIP",
"participants": [
"5511999999999",
"5511888888888"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Suporte VIP', participants: ['5511999999999', '5511888888888']})
};
fetch('https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups"
payload = {
"name": "Suporte VIP",
"participants": ["5511999999999", "5511888888888"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups"
payload := strings.NewReader("{\n \"name\": \"Suporte VIP\",\n \"participants\": [\n \"5511999999999\",\n \"5511888888888\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "120363295648424210@g.us",
"name": "Suporte VIP"
}
}Grupos
Crear grupo WhatsApp
Crea un grupo en una instancia no oficial (QR). Ámbito: whatsapp:groups. En conexión oficial devuelve 501 (WHATSAPP_GROUPS_UNOFFICIAL_ONLY).
POST
/
v1
/
whatsapp
/
instances
/
{instanceId}
/
groups
Crear grupo WhatsApp
curl --request POST \
--url https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Suporte VIP",
"participants": [
"5511999999999",
"5511888888888"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Suporte VIP', participants: ['5511999999999', '5511888888888']})
};
fetch('https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups"
payload = {
"name": "Suporte VIP",
"participants": ["5511999999999", "5511888888888"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/whatsapp/instances/{instanceId}/groups"
payload := strings.NewReader("{\n \"name\": \"Suporte VIP\",\n \"participants\": [\n \"5511999999999\",\n \"5511888888888\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": "120363295648424210@g.us",
"name": "Suporte VIP"
}
}Autorizaciones
ntfWaBearerAuthntfWaApiKeyHeader
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Parámetros de ruta
Ejemplo:
"inst_abc"
Cuerpo
application/json
Respuesta
Grupo criado.
¿Esta página le ayudó?

